%global __requires_exclude jmespath

Name:       openstack-kolla-ansible
Version:    12.0.0
Release:    1
Summary:    Deploys OpenStack services and infrastructure components in Docker containers.
License:    Apache-2.0
URL:        https://opendev.org/openstack/kolla-ansible
Source0:    https://tarballs.openstack.org/kolla-ansible/kolla-ansible-12.0.0.tar.gz

BuildArch:  noarch
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pbr

Requires:   python3-pbr
Requires:   python3-jinja2
Requires:   python3-docker
Requires:   python3-six
Requires:   python3-oslo-config
Requires:   python3-oslo-utils
Requires:   python3-pyyaml
Requires:   python3-cryptography
Requires:   python3-netaddr
Requires:   python3-jmespath

%description
Kolla is highly opinionated out of the box, but allows for complete customization.
This permits operators with little experience to deploy OpenStack quickly and as
experience grows modify the OpenStack configuration to suit the operator’s exact requirements.

%prep
%setup -q -n kolla-ansible-12.0.0

%build
%py3_build

%install
%py3_install

install -d -m 755 %{buildroot}%{_sysconfdir}/kolla
install -d -m 755 %{buildroot}%{_sysconfdir}/kolla-ansible/tools

cp %{buildroot}%{_datadir}/kolla-ansible/etc_examples/kolla/* %{buildroot}%{_sysconfdir}/kolla
rm -rf %{buildroot}%{_datadir}/kolla-ansible/etc_examples

cp %{buildroot}%{_datadir}/kolla-ansible/tools/* %{buildroot}%{_sysconfdir}/kolla-ansible/tools
mv %{buildroot}%{_datadir}/kolla-ansible/init-runonce %{buildroot}%{_sysconfdir}/kolla-ansible/tools
mv %{buildroot}%{_datadir}/kolla-ansible/init-vpn %{buildroot}%{_sysconfdir}/kolla-ansible/tools
rm -fr %{buildroot}%{_datadir}/kolla-ansible/tools

# remove tests
rm -fr %{buildroot}%{python2_sitelib}/kolla-ansible/tests

# remove doc
rm -fr %{buildroot}%{_datadir}/kolla-ansible/doc/

%files
%doc README.rst
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/kolla*
%{_datadir}/kolla-ansible/ansible
%{_datadir}/kolla-ansible/setup.cfg
%{_sysconfdir}/kolla
%{_sysconfdir}/kolla-ansible

%changelog
* Tue Jul 13 2021 wangxiyuan <wangxiyuan1007@gmail.com> - 12.0.0-1
- Init Wallaby version

